Subject: bug#7324: coreutils on Solaris 10

From: Jim Meyering <[email-masked]>
Date: Wed, 03 Nov 2010 17:51:44 +0100

Pieter Bowman wrote:

> Recently we put up a new Solaris 10 x86_64 server.  Soon after
> installing this system, I noticed that some of the coreutils programs
> were dumping core.  The ones which I noticed most are:
>
> 	cp
> 	mv
> 	touch
>
> This applies to touch 8.6, as well as /opt/sfw/bin/touch 5.97.
>
> Another department has a fully patched Solaris 10 SPARC system, which
> is now exhibiting the same behavior, so this doesn't seem to be
> limited to x86.
>
> The problem appears to be happening when trying to set the times on
> the new file.
>
> I suspect it's an updated patch which Oracle has provided, which has
> broken this.

Hi Pieter,

Thanks for the report.
Can you provide truss output showing one or two of those failures?